Skip to main content
GET
/
v1
/
contact-lists
/
csv
/
{id}
Get a CSV contact list by ID
curl --request GET \
  --url https://client-api.salesfinity.co/v1/contact-lists/csv/{id} \
  --header 'x-api-key: <api-key>'
{
  "data": {
    "_id": "<string>",
    "name": "<string>",
    "user": "<string>",
    "contacts": [
      {
        "_id": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "email": "<string>",
        "company": "<string>",
        "title": "<string>",
        "phone_numbers": [
          {
            "type": "mobile",
            "number": "<string>",
            "country_code": "<string>",
            "extension": "<string>"
          }
        ],
        "linkedin": "<string>",
        "website": "<string>",
        "notes": "<string>",
        "account": "<string>",
        "priority": 123,
        "timezone": "<string>",
        "custom_fields": [
          {
            "type": "string",
            "label": "<string>",
            "value": "<unknown>"
          }
        ]
      }
    ]
  },
  "pagination": {
    "total": 123,
    "page": 123,
    "next": 123
  }
}
Returns a single CSV contact list with all its contacts. Supports searching, sorting, and paginating the contacts within the list.

Path Parameters

  • id (required, string): CSV contact list ID

Query Parameters

ParameterTypeDescription
searchstringSearch contacts by first name, last name, email, or company (case-insensitive)
sortstringSort contacts by field. Prefix with - for descending. Examples: first_name, -company, priority
pagenumberPage number for contacts. Default: 1
limitnumberContacts per page. Default: 50

Response

Returns the list metadata and a paginated array of contacts:
FieldTypeDescription
_idstringUnique identifier of the contact list
namestringName of the list
userstringID of the user who owns the list
contactsarrayArray of contact objects
Each contact object includes:
FieldTypeDescription
_idstringContact ID
first_namestringFirst name
last_namestringLast name
emailstringEmail address
companystringCompany name
titlestringJob title
phone_numbersarrayPhone numbers
linkedinstringLinkedIn profile URL
websitestringWebsite URL
notesstringNotes
prioritynumberPriority
timezonestringTimezone
custom_fieldsarrayCustom fields

Example Requests

# Get a list with all contacts
GET /v1/contact-lists/csv/507f1f77bcf86cd799439011

# Search contacts by name
GET /v1/contact-lists/csv/507f1f77bcf86cd799439011?search=john

# Sort contacts by company, page 2
GET /v1/contact-lists/csv/507f1f77bcf86cd799439011?sort=company&page=2&limit=20

Errors

StatusDescription
404CSV contact list not found

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

CSV contact list ID

Query Parameters

Search contacts by first name, last name, email, or company

sort
string

Sort contacts by field. Prefix with - for descending

page
integer
default:1

Page number for contacts

Required range: x >= 1
limit
integer
default:50

Contacts per page

Required range: x >= 1

Response

CSV contact list retrieved successfully

data
object
pagination
object